Bug 1259458 - Potentially misconfigured libcrypto capability requirement for nagios-plugins rpm package.
Potentially misconfigured libcrypto capability requirement for nagios-plugins...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins (Show other bugs)
el6
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 12:10 EDT by Usman Ismail
Modified: 2017-06-29 14:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: nagios-plugins-2.2.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-29 14:17:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Usman Ismail 2015-09-02 12:10:40 EDT
Description of problem:

Several of the nagios plugins require the libcrypto.so.10(libcrypto.so.10)(64bit) Capability which is not a valid capability. It should be libcrypto.so.10()(64bit) which is already present. The additional capability requirement is breaking updates.  

Version-Release number of selected component (if applicable):
2.0.3-1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.yum install nagios-plugins-tcp-2.0.3-1.el6.x86_64

Actual results:

Error: Package: nagios-plugins-tcp-2.0.3-1.el6.x86_64 (epel)
           Requires: libcrypto.so.10(libcrypto.so.10)(64bit)
Error: Package: nagios-plugins-smtp-2.0.3-1.el6.x86_64 (epel)
           Requires: libcrypto.so.10(libcrypto.so.10)(64bit)
Error: Package: nagios-plugins-http-2.0.3-1.el6.x86_64 (epel)
           Requires: libssl.so.10(libssl.so.10)(64bit)
Error: Package: nagios-plugins-http-2.0.3-1.el6.x86_64 (epel)
           Requires: libcrypto.so.10(libcrypto.so.10)(64bit)
Error: Package: nagios-plugins-smtp-2.0.3-1.el6.x86_64 (epel)
           Requires: libssl.so.10(libssl.so.10)(64bit)
Error: Package: nagios-plugins-tcp-2.0.3-1.el6.x86_64 (epel)
           Requires: libssl.so.10(libssl.so.10)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:

Package installed

Additional info:
 repoquery --require nagios-plugins-tcp-2.0.3-1.el6.x86_64
libc.so.6(GLIBC_2.8)(64bit)
libcrypto.so.10()(64bit)
-----libcrypto.so.10(libcrypto.so.10)(64bit)-----
libdl.so.2()(64bit)
libnsl.so.1()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libresolv.so.2()(64bit)
libssl.so.10()(64bit)
libssl.so.10(libssl.so.10)(64bit)
nagios-plugins = 2.0.3-1.el6
rtld(GNU_HASH)
Comment 1 Fedora Update System 2017-02-15 09:32:01 EST
nagios-plugins-2.1.4-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e77054bfa
Comment 2 Fedora Update System 2017-02-16 09:16:08 EST
nagios-plugins-2.1.4-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e77054bfa
Comment 3 Fedora Update System 2017-02-16 16:15:44 EST
nagios-plugins-2.1.4-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b820953367
Comment 4 Fedora Update System 2017-02-17 10:30:54 EST
nagios-plugins-2.1.4-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-994c77a4cd
Comment 5 Fedora Update System 2017-02-17 19:16:48 EST
nagios-plugins-2.1.4-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-994c77a4cd
Comment 6 Fedora Update System 2017-02-25 16:53:07 EST
nagios-plugins-2.2.0-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5d813cd00d
Comment 7 Fedora Update System 2017-02-25 17:27:27 EST
nagios-plugins-2.2.0-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b0accaba31
Comment 8 Fedora Update System 2017-02-26 17:48:39 EST
nagios-plugins-2.2.0-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b0accaba31
Comment 9 Fedora Update System 2017-03-10 19:48:24 EST
nagios-plugins-2.2.0-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a502a08b4
Comment 10 Fedora Update System 2017-03-11 07:48:00 EST
nagios-plugins-2.2.0-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a502a08b4
Comment 11 Fedora Update System 2017-03-13 09:30:18 EDT
nagios-plugins-2.2.0-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1623674064
Comment 12 Fedora Update System 2017-03-13 20:16:52 EDT
nagios-plugins-2.2.0-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1623674064
Comment 13 Fedora Update System 2017-04-20 20:17:01 EDT
nagios-plugins-2.2.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-306cbf64b0
Comment 14 Fedora Update System 2017-06-29 14:17:30 EDT
nagios-plugins-2.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.